%bcond_without check

%global goipath         github.com/BurntSushi/xdg
%global commit          e80d3446fea190e21fbd294569844f066e47ccfc

%gometa

%global common_description %{expand:
A Go package for reading config and data files according to the XDG Base
Directory specification.}

%global golicenses      COPYING
%global godocs          README

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Reader for the XDG Base Directory specification

License:        Public Domain

URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
